Link to home
Start Free TrialLog in
Avatar of michaelzhou23
michaelzhou23

asked on

What is the correct version of MySQL for Red Hat 8?

Hi experts,
  What is the correct version of MySQL for Red Hat 8?
  I downloaded MySQL 5.0 and tried to start mysqld and it said the glibc version is not right.
  Thanks!
Avatar of ygoutham
ygoutham
Flag of India image

you can have mysql-3.0.51 and install the same without a problem

i thought it came with the same in the CDs
Avatar of michaelzhou23
michaelzhou23

ASKER

Thanks a lot ygoutham!
However, what if I want to install MySQL 5.0?
I am totally a newbie to Linux, so can you teach me how to upgrade to glibc_2.3.2?
I think my other applications are also depending on that library.
Thanks!
Avatar of arnold
Depending on where you downloaded the mysQL 5.0 package, you might find what the package requirements are.  you might need to check whether Red Hat released a an update to the glibc on your system or obtain a newer glibc package for installation.

To see which version is installed on your system:
rpm -qa | grep glibc
then run rpm -qi glibc to get info on the version.
ASKER CERTIFIED SOLUTION
Avatar of ygoutham
ygoutham
Flag of India image

Link to home
membership
This solution is only available to members.
To access this solution, you must be a member of Experts Exchange.
Start Free Trial
I did that and it indicates:
***********************************
glibc-2.2.93-5
glibc-common-2.2.93-5
glibc-devel-2.2.93-5
glibc-kernheaders-2.4-7.20
************************************

So what is the way to download the update package for 2.3.2 and install it?
Sorry i may sound a bit silly but i really don't know much Linux.
press Y to answer installation for all the above listed and it automatically installs them all upgrading your "glibc" package
SOLUTION
Link to home
membership
This solution is only available to members.
To access this solution, you must be a member of Experts Exchange.
Start Free Trial
SOLUTION
Link to home
membership
This solution is only available to members.
To access this solution, you must be a member of Experts Exchange.
Start Free Trial
Forced accept.

Computer101
EE Admin